Use this file to discover all available pages before exploring further.
NOTIFY_NOT_ENOUGH_HOT_MONEY (type=7)When a withdrawal operation temporarily fails due to insufficient main coin balance in the hot wallet (insufficient Gas), WaaS notifies the merchant through this callback. This is a temporary failure state. After the merchant replenishes the main coin balance in the hot wallet, this withdrawal order will automatically retry.
Merchant must ensure the uniqueness of this callBackId. WaaS will actively callback the merchant carrying this parameter to notify which withdrawal order triggered the callback due to insufficient Gas.
After processing the callback, merchants need to return a JSON-formatted response body. The data field must return an RSA-encrypted Base64 string (encrypted using the public key provided by WaaS), while other fields are in plain text:
Encrypted business data, e.g.: i2H9eQf22gLnJoTeo1WbWVR6wmNv (refer to example on right)Generated by encrypting the following raw business parameters:requestUUID (String) : Unique request identifier, merchant must return the same requestUUID in response to help WaaS confirmtenantUserId (String) : User ID initiating withdrawal (in merchant system, not WaaS system)type (Integer) : Callback typetrackingId (String) : Business event identifiercallBackId (String) : Callback ID